package eu.eudat.dao.entities;

import eu.eudat.entities.ExternalDataset;
import eu.eudat.entities.Invitation;
import eu.eudat.models.criteria.ExternalDatasetCriteria;
import eu.eudat.models.criteria.InvitationCriteria;
import eu.eudat.queryable.QueryableList;

import java.util.UUID;

/**
 * Created by ikalyvas on 1/17/2018.
 */
public interface ExternalDatasetDao {

    QueryableList<ExternalDataset> getWithCriteria(ExternalDatasetCriteria criteria);

    ExternalDataset createOrUpdate(ExternalDataset item);

    ExternalDataset find(UUID id);

    Long count();
}
